// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from rcss3d_agent_msgs:msg/Say.idl
// generated code does not contain a copyright notice

#ifndef RCSS3D_AGENT_MSGS__MSG__DETAIL__SAY__STRUCT_H_
#define RCSS3D_AGENT_MSGS__MSG__DETAIL__SAY__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'message'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/Say in the package rcss3d_agent_msgs.
/**
  * The say effector permits communication among agents by broadcasting messages. In order to say 
  * something, the following command has to be employed.
  *
  * See restrictions: https://gitlab.com/robocup-sim/SimSpark/-/wikis/Perceptors#restrictions
 */
typedef struct rcss3d_agent_msgs__msg__Say
{
  /// Up to 20 characters, which may be taken from the ASCII printing character subset
  /// [0x20, 0x7E] except the white space character and the normal brackets ( and )
  rosidl_runtime_c__String message;
} rcss3d_agent_msgs__msg__Say;

// Struct for a sequence of rcss3d_agent_msgs__msg__Say.
typedef struct rcss3d_agent_msgs__msg__Say__Sequence
{
  rcss3d_agent_msgs__msg__Say * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} rcss3d_agent_msgs__msg__Say__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // RCSS3D_AGENT_MSGS__MSG__DETAIL__SAY__STRUCT_H_
