// generated from rosidl_generator_cpp/resource/idl__traits.hpp.em
// with input from rcss3d_agent_msgs:msg/Beam.idl
// generated code does not contain a copyright notice

#ifndef RCSS3D_AGENT_MSGS__MSG__DETAIL__BEAM__TRAITS_HPP_
#define RCSS3D_AGENT_MSGS__MSG__DETAIL__BEAM__TRAITS_HPP_

#include <stdint.h>

#include <sstream>
#include <string>
#include <type_traits>

#include "rcss3d_agent_msgs/msg/detail/beam__struct.hpp"
#include "rosidl_runtime_cpp/traits.hpp"

namespace rcss3d_agent_msgs
{

namespace msg
{

inline void to_flow_style_yaml(
  const Beam & msg,
  std::ostream & out)
{
  out << "{";
  // member: x
  {
    out << "x: ";
    rosidl_generator_traits::value_to_yaml(msg.x, out);
    out << ", ";
  }

  // member: y
  {
    out << "y: ";
    rosidl_generator_traits::value_to_yaml(msg.y, out);
    out << ", ";
  }

  // member: rot
  {
    out << "rot: ";
    rosidl_generator_traits::value_to_yaml(msg.rot, out);
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const Beam & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: x
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "x: ";
    rosidl_generator_traits::value_to_yaml(msg.x, out);
    out << "\n";
  }

  // member: y
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "y: ";
    rosidl_generator_traits::value_to_yaml(msg.y, out);
    out << "\n";
  }

  // member: rot
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "rot: ";
    rosidl_generator_traits::value_to_yaml(msg.rot, out);
    out << "\n";
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const Beam & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace msg

}  // namespace rcss3d_agent_msgs

namespace rosidl_generator_traits
{

[[deprecated("use rcss3d_agent_msgs::msg::to_block_style_yaml() instead")]]
inline void to_yaml(
  const rcss3d_agent_msgs::msg::Beam & msg,
  std::ostream & out, size_t indentation = 0)
{
  rcss3d_agent_msgs::msg::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use rcss3d_agent_msgs::msg::to_yaml() instead")]]
inline std::string to_yaml(const rcss3d_agent_msgs::msg::Beam & msg)
{
  return rcss3d_agent_msgs::msg::to_yaml(msg);
}

template<>
inline const char * data_type<rcss3d_agent_msgs::msg::Beam>()
{
  return "rcss3d_agent_msgs::msg::Beam";
}

template<>
inline const char * name<rcss3d_agent_msgs::msg::Beam>()
{
  return "rcss3d_agent_msgs/msg/Beam";
}

template<>
struct has_fixed_size<rcss3d_agent_msgs::msg::Beam>
  : std::integral_constant<bool, true> {};

template<>
struct has_bounded_size<rcss3d_agent_msgs::msg::Beam>
  : std::integral_constant<bool, true> {};

template<>
struct is_message<rcss3d_agent_msgs::msg::Beam>
  : std::true_type {};

}  // namespace rosidl_generator_traits

#endif  // RCSS3D_AGENT_MSGS__MSG__DETAIL__BEAM__TRAITS_HPP_
